summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_ejs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/tests/test_ejs.sh')
-rwxr-xr-xsource4/script/tests/test_ejs.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/source4/script/tests/test_ejs.sh b/source4/script/tests/test_ejs.sh
new file mode 100755
index 0000000000..83a16c631b
--- /dev/null
+++ b/source4/script/tests/test_ejs.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+# test some simple EJS operations
+
+if [ $# -lt 3 ]; then
+cat <<EOF
+Usage: test_ejs.sh SERVER USERNAME PASSWORD
+EOF
+exit 1;
+fi
+
+SERVER="$1"
+USERNAME="$2"
+PASSWORD="$3"
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+SCRIPTDIR=../testprogs/ejs
+
+for f in samr.js echo.js; do
+ testit "$f" bin/smbscript $SCRIPTDIR/$f ncacn_np:$SERVER -U$USERNAME%$PASSWORD || failed=`expr $failed + 1`
+done
+